<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;


$id = isset($_GET['id']) ? abs(intval($_GET['id'])) : false;
$users = DB::$dbs->query("SELECT * FROM blogger WHERE id = ? LIMIT 1",[$id]);
if ($users->rowCount()==0) {
header('location: /');
die();
}
$user = $users -> fetch();
$do = isset($_GET['do']) ? htmlentities($_GET['do']) : false;
$title->SetTitle('Отзывы о  '.$user['nick']);
///Подключаем шапку
$title->GetHeader();
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Просмотр репутации '.$user['nick'].'</h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Рейтинг</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';
echo '<div class="catSides"><a href="/users/'.id.'"><i class="md-format-list-bulleted"></i> '.$user['nick'].' </a> - Отзывы о '.Nick($id).'</div>';

switch($do) {
default:
if (isset($_GET['st'])) {
if ($b['level']<3) {
header('location:/');
die();
}
$in = DB::$dbs->queryFetch("SELECT * FROM arbitage WHERE id = ? LIMIT 1",[intval($_GET['st'])]);
if ($in['status'] == 0) {
DB :: $dbs -> query ("UPDATE arbitage SET status = ? WHERE id = ?",[2,abs(intval($_GET['st']))]);
} else {
DB :: $dbs -> query ("UPDATE arbitage SET status = ? WHERE id = ?",[0,abs(intval($_GET['st']))]);
}
header('location: ?id='.$id);
}
if (isset($_GET['del'])) {
if ($b['level']<3) {
header('location:/');
die();
}
DB::$dbs->query("DELETE FROM arbitage WHERE id = ?",[abs(intval($_GET['del']))]);
header('location: ?id='.$id);
die();
}
if ($id != $b['id']) {
echo '<div class="row text_box"> Разрешается оставлять только информативные отзывы, содержащие в себе информацию о конкретной заслуге человека, например "спасибо что помог разобраться с установкой/исправлением модуля" и т.п., отзывы вида "респект братюнь", "+++" и т.п. будут удаляться, а их отправители наказываться!</div>';
if (isset($_POST['ok'])) {
$text = check($_POST['text']);
$type = abs(intval($_POST['type']));
if (empty($text)) {
$err = 'Введите комментарий!';
} elseif (empty($type)) {
$err = 'Выберите тип!';
}
if (empty($err)) {
DB::$dbs-> query("INSERT INTO arbitage SET text = ?, user_id = ?, id_user = ?, type = ?, time = ?, status = ?",array($text,$id,$b['id'],$type,time(),1));
$last = DB::$dbs->lastInsertId();
$in = DB::$dbs->queryFetch("SELECT * FROM arbitage WHERE id = ? LIMIT 1",array($last));
lenta(Nick($b['id']).' оставил <a href="/info/rating.html?id='. $in['user_id'] . '">'.($in['type'] == 1 ? '<b><font color="green">Замечательный</font></b>':'<b><font color="red">Негативный</font></b>').' </a> отзыв  в анкету '.Nick($in['user_id']).' !');
$komm = '[b]'.$b['nick'].'[/b] оставил <a href="/info/rating.html?id='. $in['user_id'] . '">'.($in['type'] == 1 ? '<b><font color="green">Замечательный</font></b>':'<b><font color="red">Негативный</font></b>').' </a> отзыв о вас!';
echo '<div class="row text_box">Отзыв добавлен и отправлен на модерацию!</div>';
} else {
echo '<div class="error"><b>'.$err.'</b></div>';
}
}
if (isset($b)) {
echo '<div class="row text_box"><form action="?do=add&id='.$id.'" method="POST" enctype="multipart/form-data">Текст отзыва:<br/><textarea class="form-control" rows="3"name="text"></textarea>Тип:<br/><input type="radio" name="type" value="1" checked="checked"/> <font color="green"><b>Замечательный</b></font><br/><input type="radio" name="type" value="2"/> <font color="red"><b>Негативный</b></font><br/><input type="submit" class="btn btn-primary" name="ok" value="Голосовать"/></form></div>';
}
}
$look = DB :: $dbs -> querySingle("SELECT COUNT(id) FROM arbitage WHERE user_id = ? ".($b['level']>=3 ? '':'AND status = 0')."",array($id));
$num = 10;
$k_page = k_page($look, $num);
$page = page($k_page);
$start = $num*$page-$num;
if ($look==0) {
echo '<div class="error">Нет отзывов!</div>';
} else {
$query = DB :: $dbs -> query("SELECT * FROM arbitage WHERE user_id = ? ".($b['level']>=3 ? '':'AND status = 0')." ORDER BY time DESC LIMIT $start,$num",array($id));
while ($arr = $query -> fetch()) {
if ($b['level']>=3) {
$st = ($arr['status'] == 0 ? '<a href="?id='.$id.'&st='.$arr['id'].'">[Скрыть]</a><br/>':'<a href="?id='.$id.'&st='.$arr['id'].'"> [Активировать]</a><br/>');
} else {
$st = '';
}
echo '<div class="row text_box"> '.Nick($arr['id_user']).' ('.vr($arr['time']).')    '.($b['level']>4 ? '<a href="?id='.$id.'&del='.$arr['id'].'">[удал]</a>':'').' </br>Отзыв:  <b>'.($arr['type'] == 1 ? '<font color="green">Замечательный</font>':'<font color="red">Негативный</font>').'</b> <br/>Текст: '.text($arr['text']).'</br>';
if ($b['level']>=3) {echo'<b>Статус:</b> <b><font color="green">'.($arr['status'] == 0 ? 'Подтверждено':'Скрыто').'</font></b> '.$st.'';
}
echo'</div>';
}
}
if ($k_page>1) {
str('?id='.$id.'&', $k_page,$page);
}
break;
}
///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>